#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# GSSolver Class

Extends Solver
Defined in: `src/solver/GSSolver.js:7`

Constraint equation Gauss-Seidel solver.

## Constructor

### `GSSolver`

()

Defined in `src/solver/GSSolver.js:7`

- Index
- Methods
- Properties

## Item Index

### Methods

- addEquation
- removeAllEquations
- removeEquation
- solve

### Properties

- equations
- iterations
- tolerance

## Methods

### `addEquation`

(

- `eq`

)

Inherited from Solver: `src/solver/Solver.js:28`

Add an equation

#### Parameters:

- `eq` Equation

### `removeAllEquations`

()

Inherited from Solver: `src/solver/Solver.js:52`

Add all equations

### `removeEquation`

(

- `eq`

)

Inherited from Solver: `src/solver/Solver.js:39`

Remove an equation

#### Parameters:

- `eq` Equation

### `solve`

(

- `dt`
- `world`

)

Inherited from Solver: `src/solver/Solver.js:17`

Should be implemented in subclasses!

#### Parameters:

- `dt` Number
- `world` World

## Properties

### `equations`

Array

Inherited from Solver: `src/solver/Solver.js:10`

All equations to be solved

### `iterations`

Number

Defined in `src/solver/GSSolver.js:19`

The number of solver iterations determines quality of the constraints in the world. The more iterations, the more correct simulation. More iterations need more computations though. If you have a large gravity force in your world, you will need more iterations.

### `tolerance`

Number

Defined in `src/solver/GSSolver.js:27`

When tolerance is reached, the system is assumed to be converged.